### Method

# Camel StoreSearchThreadItem get_uid

since: 3.58

#### Declaration [src]

    const gchar*
    camel_store_search_thread_item_get_uid (
      const CamelStoreSearchThreadItem* self
    )

#### Description [src]

Gets the message UID for the `self`.

Available since: 3.58

#### Return value

Type: `const gchar*`

The message UID for the `self`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.